# OpenFabrics-Specific Functions

## Functions

static __hwloc_inline int | hwloc_ibv_get_device_cpuset (hwloc_topology_t topology __hwloc_attribute_unused, struct ibv_device *ibdev, hwloc_cpuset_t set)
| Get the CPU set of logical processors that are physically close to device `ibdev`.

## Function Documentation

static __hwloc_inline int hwloc_ibv_get_device_cpuset | ( | hwloc_topology_t topology | __hwloc_attribute_unused,
|  | struct ibv_device * | ibdev,
|  | hwloc_cpuset_t | set |
| ) |  |  | `[static]`

Get the CPU set of logical processors that are physically close to device `ibdev`.

For the given OpenFabrics device `ibdev`, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.